"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculateBattery = exports.map = void 0;
const map = (x, in_min, in_max, out_min, out_max) => Math.floor(((x - in_min) * (out_max - out_min)) / (in_max - in_min) + out_min);
exports.map = map;
const calculateBattery = (batteryPercent, minBattery = 0x00, maxBattery = 0x04) => {
    if (batteryPercent > maxBattery) {
        return 100;
    }
    return (0, exports.map)(batteryPercent, minBattery, maxBattery, 0, 100);
};
exports.calculateBattery = calculateBattery;
